## fireflies-2.08.tar.gz

=== Makefile ===
ifeq ("$(wildcard Make.include)","")
  $(error Please run "autoreconf -i && ./configure", first)
endif

include Make.include

DISTFILES=\
add-xscreensaver \
COMPILE \
COPYING \
ChangeLog \
debian/ \
Make.include.in \
Makefile \
README \
TODO \
config.h.in \
configure \
configure.ac \
fireflies.spec.in \
fireflies.xml \
install-sh \
installit.in \
libgfx-1.0.1.tar.gz \
win32/

all:	libgfx/src/libgfx.a
	$(MAKE) -C src

.PHONY: libgfx/src/libgfx.a
libgfx/src/libgfx.a:
	$(MAKE) -C libgfx/src

install: all
	sh ./installit $(DESTDIR)

clean:
	$(MAKE) -C src clean
	$(MAKE) -C libgfx/src clean
	$(MAKE) -C win32 clean

.PHONY: deb
deb:
	debuild -us -uc
	ls -l ../fireflies_*.deb

dist:
	rm -rf fireflies-$(VERSION)
	mkdir fireflies-$(VERSION)
	cp -a src fireflies-$(VERSION)
	cp -a $(DISTFILES) fireflies-$(VERSION)

	# need Make.include temporarily to run make
	cp Make.include fireflies-$(VERSION)
	$(MAKE) -C fireflies-$(VERSION) clean
	rm -f fireflies-$(VERSION)/Make.include

	# don't want to include debian's buildroot
	rm -rf fireflies-$(VERSION)/debian/fireflies

	tar czf fireflies-$(VERSION).tar.gz fireflies-$(VERSION)
	rm -rf fireflies-$(VERSION)

=== src/Makefile ===
include ../Make.include

#CFLAGS += -DDEBUG

HEADERS=$(wildcard *.h)
HEADERS_GCH=$(HEADERS:.h=.h.gch)

all:	$(PROGRAM)

$(PROGRAM):	$(OBJECTS)
	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS)
#	strip $(PROGRAM)

$(OBJECTS): $(HEADERS)

.SUFFIXES:
.SUFFIXES: .cc .rc .o

#$(HEADERS_GCH): %.h.gch: %.h
#	$(CXX) -c -x c++-header $(CFLAGS) -o $@ $<

.rc.o:
	windres -o $@ $<

clean:
	rm -f *.o $(PROGRAM)

=== win32/Makefile ===
NSIS_PATH=/c/Program Files/NSIS

all:
	PATH="$$PATH:$(NSIS_PATH)" makensis.exe fireflies.nsi

clean:
	rm -f fireflies*.exe

=== libgfx/src/Makefile ===
include ../gfx-config

VEC_SRCS = mat2.cxx mat3.cxx mat4.cxx quat.cxx symmat3.cxx
GEO_SRCS = geom3d.cxx
IMG_SRCS = raster.cxx raster-pnm.cxx raster-tiff.cxx raster-jpeg.cxx \
		raster-png.cxx
MISC_SRCS = time.cxx script.cxx
GUI_SRCS = gui.cxx gltools.cxx baseball.cxx trackball.cxx arcball.cxx

SRCS = $(VEC_SRCS) $(GEO_SRCS) $(IMG_SRCS) $(MISC_SRCS) $(GUI_SRCS)
OBJS = $(SRCS:.cxx=.o)

libgfx.a: $(OBJS)
	$(AR) cru libgfx.a $(OBJS)
	$(RANLIB) libgfx.a

tags: $(SRCS) ../include/gfx/*.h
	ctags $(SRCS) ../include/gfx/*.h

clean:
	-$(RM) $(OBJS) libgfx.a

depend:
	$(CXX_DEPEND) $(SRCS) > Makefile.dep

-include Makefile.dep

=== debian/changelog ===
fireflies (2.08) unstable; urgency=low

  * Initial Release.

 -- Sebastian Pipping <sebastian@pipping.org>  Wed, 14 Oct 2015 00:44:50 +0200

=== debian/control ===
Source: fireflies
Section: x11
Priority: extra
Maintainer: Sebastian Pipping <sebastian@pipping.org>
# autoconf-archive for AX_CXX_BOOL autoconf macro
Build-Depends: debhelper (>= 8.0.0),
 autoconf-archive,
 libx11-dev, libsdl1.2-dev, libglu1-mesa-dev, mesa-common-dev
Standards-Version: 3.9.3
Homepage: https://github.com/mpcomplete/fireflies
Vcs-Git: https://github.com/mpcomplete/fireflies
Vcs-Browser: https://github.com/mpcomplete/fireflies/tree/master/debian

Package: fireflies
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xscreensaver
Description: Screensaver showing a flock of fireflies
 Integrates with XScreensaver but works standalone, too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

_CLEAN_FILES = \
	config.log \
	config.status \
	libgfx/config.log \
	libgfx/config.status

%:
	dh $@

override_dh_auto_configure:
	CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure

debian/fireflies-add-xscreensaver-user:
	printf '#! /bin/sh\nfireflies-add-xscreensaver ~/.xscreensaver\n' > $@

override_dh_auto_install: debian/fireflies-add-xscreensaver-user
	dh_auto_install
	install -D -m 0755 add-xscreensaver debian/fireflies/usr/bin/fireflies-add-xscreensaver
	install -D -m 0755 debian/fireflies-add-xscreensaver-user debian/fireflies/usr/bin/fireflies-add-xscreensaver-user

override_dh_clean:
	dh_clean
	$(RM) $(_CLEAN_FILES)
